"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSettingsEntity = void 0;
var _toolbox = require("@webiny/db-dynamodb/toolbox");
const createSettingsEntity = params => {
  const {
    entityName,
    attributes,
    table
  } = params;
  return new _toolbox.Entity({
    name: entityName,
    table,
    attributes: {
      PK: {
        partitionKey: true
      },
      SK: {
        sortKey: true
      },
      TYPE: {
        type: "string"
      },
      reCaptcha: {
        type: "map"
      },
      domain: {
        type: "string"
      },
      tenant: {
        type: "string"
      },
      locale: {
        type: "string"
      },
      ...(attributes || {})
    }
  });
};
exports.createSettingsEntity = createSettingsEntity;

//# sourceMappingURL=settings.js.map