"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSystemEntity = void 0;
var _toolbox = require("@webiny/db-dynamodb/toolbox");
const createSystemEntity = params => {
  const {
    entityName,
    attributes,
    table
  } = params;
  return new _toolbox.Entity({
    name: entityName,
    table,
    attributes: {
      PK: {
        partitionKey: true
      },
      SK: {
        sortKey: true
      },
      version: {
        type: "string"
      },
      tenant: {
        type: "string"
      },
      ...(attributes || {})
    }
  });
};
exports.createSystemEntity = createSystemEntity;

//# sourceMappingURL=system.js.map