"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTable = void 0;
var _toolbox = require("@webiny/db-dynamodb/toolbox");
const createTable = params => {
  const {
    tableName,
    documentClient
  } = params;
  return new _toolbox.Table({
    name: tableName || process.env.DB_TABLE,
    partitionKey: "PK",
    sortKey: "SK",
    DocumentClient: documentClient,
    indexes: {
      GSI1: {
        partitionKey: "GSI1_PK",
        sortKey: "GSI1_SK"
      }
    },
    autoExecute: true,
    autoParse: true
  });
};
exports.createTable = createTable;

//# sourceMappingURL=table.js.map